import { __name } from './chunk-3IXKS7M5.mjs';
import { loadPreconditions, loadListeners } from './index.mjs';
import { SapphireClient, postInitialization, Plugin } from '@sapphire/framework';

var _SubcommandsPlugin = class _SubcommandsPlugin extends Plugin {
  /**
   * @since 3.1.2
   */
  static [postInitialization](options) {
    loadPreconditions();
    if (options.loadSubcommandErrorListeners !== false) {
      loadListeners();
    }
  }
};
__name(_SubcommandsPlugin, "SubcommandsPlugin");
var SubcommandsPlugin = _SubcommandsPlugin;
SapphireClient.plugins.registerPostInitializationHook(SubcommandsPlugin[postInitialization], "Subcommand-PostInitialization");

export { SubcommandsPlugin };
//# sourceMappingURL=register.mjs.map
//# sourceMappingURL=register.mjs.map